# require "hibp/cuckoo/filter/version"

module Hibp
  module Cuckoo
    module Filter
      def self.dir
        File.absolute_path File.join(__FILE__, '..','..','..','..')
      end
      def self.all
        Dir.chdir dir do
          Dir.glob '*.json.gz'
        end
      end
      def self.large
        File.join dir, "serialized-top-56000000-x1.json.gz"
      end
      def self.medium
        File.join dir, "serialized-top-5600000-x1.json.gz"
      end
      def self.small
        File.join dir, "serialized-top-560000-x1.json.gz"
      end
    end
  end
end
